<?php
#	Copyright by Martin Lannert aka nouseforname
# 	created 9.05.2010
defined( '_JEXEC' ) or die( 'Restricted Access' );

    //require_once("classes/GbxRemote.inc.php");
    //require_once("classes/tmfcolorparser.inc.php");
    $client = new IXR_Client_Gbx;
    $colors= new tmfcolorparser;

	$fp = @fsockopen($ip, $port, $errno, $errstr, 1);
	$error = array();
		
	if(!$fp) {
		echo '
  <table cellpadding="1px" cellspacing="1px" align="center" >
      <tr align="center"><td >Server Offline</td></tr>
    </table>
        ';
	}
	else {

    if (!$client->InitWithIp($ip,$port)) {
       $error[] = 'An error occurred - '.$client->getErrorCode().":".$client->getErrorMessage();
    }
    if (!$client->query("Authenticate", $user, $pass)) {
       $error[] = 'login failed !<br/>';
    }
    if($client->query('Get')) {
       $Status = $client->getResponse();
       }
    if($client->query('GetPlayerList',500,0)) {
       $Players = $client->getResponse();
       }
    if($client->query('GetServerOptions')) {
       $ServerOptions = $client->getResponse();
       $servername=$ServerOptions['Name'];
       $MaxPLayers=$ServerOptions['CurrentMaxPlayers'];
       }
    $pl=0;
    foreach ($Players as $player) {
       $pl++;
       }
    if($client->query('GetCurrentChallengeInfo')) {
       $CurrentChallengeInfo = $client->getResponse();
       $trackname=$CurrentChallengeInfo['Name'];
       }

    if($client->query('GetCurrentGameInfo')) {
       $GetCurrentGameInfo=$client->getResponse();
       $GameMode=$GetCurrentGameInfo["GameMode"];
    }

    if ($client->query('GetLadderServerLimits')) {
                $GetLadderServerLimits=$client->getResponse();
                $ladderMin = $GetLadderServerLimits['LadderServerLimitMin'];
                $ladderMax = $GetLadderServerLimits['LadderServerLimitMax'];
                $ladderMin = $ladderMin / 1000;
                $ladderMax = $ladderMax / 1000;
        }

    if ($client->query('GetMainServerPlayerInfo')) {
                $GetMainServerPlayerInfo = $client->getResponse();
                $serverlogin = $GetMainServerPlayerInfo['Login'];
        }

	// get dedi coppers
	//if ($client->query('GetServerCoppers')) {
		//$servercoppers = $client->getResponse();
		//$all = $all + $servercoppers;
		//}
		
    //Formating Game Mod
    switch($GameMode){
       case 0:
          $GameMode="Rounds";
          Break;
       case 1:
          $GameMode="Time Attack";
          Break;
       case 2:
          $GameMode="Team";
          Break;
       case 3:
          $GameMode="Laps";
          Break;
       case 4:
          $GameMode="Stunts";
          Break;
       case 5:
          $GameMode="Cup";
          Break;
    }
$style = 'style=" text-align: center; margin: auto;';
	
    echo '
    <table align="center" cellpadding="1px" cellspacing="1px" width="150px">
      <tr><td><div '.$style.' font-size: 12px; font-weight: bold;"><a href="tmtp:///#spectate='.$serverlogin.'" >'.$colors->toHTML($servername).'</a></div></td></tr>
      <tr><td><div '.$style.' font-size: 10px; font-weight: bold;">'.$colors->toHTML($trackname).'</div></td></tr>
      <tr><td><div '.$style.' font-size: 9px; ">'.$pl.' / '.$MaxPLayers.' Players</div></td></tr>
      <tr><td><div '.$style.' font-size: 9px; ">'.$ladderMin.'k - '.$ladderMax.'k LP</div></td></tr>
      <tr><td><div '.$style.' font-size: 9px; ">'.$GameMode.'</div></td></tr>';
	 if (count($error) > 0) {
		foreach ($error as $failure) {
			echo '<tr><td><div '.$style.'">'.$failure.'</div></td></tr>';
		}
	 }
	  echo'<tr ><td><br /><div '.$style.' font-size: 11px; font-weight: bold;">Players online:</div></td></tr>
	  <tr ><td><div style="overflow: auto; overflow-x: hidden; height: 65px; text-align: center; margin: auto;">';
	  $pl=0;
		foreach ($Players as $player) {
       $playername=$player['NickName'];
       $pl++;
       echo $colors->toHTML($playername).'<br />';
       }
    if ($pl >= $MaxPLayers) {
         echo 'SERVER FULL<br>
         ';
         }
	 echo'</div></td></tr>
	 </table>
    ';
        }
    ?>